Differences between revisions 32 and 134 (spanning 102 versions)
Revision 32 as of 2006-09-12 23:55:21
Size: 3465
Editor: ?maximilianattems
Comment: 2.6.18 is the d-kernel release goal
Revision 134 as of 2009-03-16 03:34:17
Size: 9398
Editor: anonymous
Comment: converted to 1.6 markup
Deletions are marked like this. Additions are marked like this.
Line 1: Line 1:
= New Features and other interesting stuff in Debian GNU/Linux 4.0 "etch" = ## page was renamed from NewInEtch
#language es
~-Translation : [[NewInEtchGerman|Deutsch]] - [[NewInEtch|English]] - [[NewInEtchSpanish|Español]] - [[NewInEtchRussian|Русский (Russkij)]]-~

== Traducciones ==

  * [[NewInEtchGerman|NewInEtch]]: Alemán

= Nuevas características y otros aspectos de Debian GNU/Linux 4.0 "Etch" =
Line 6: Line 14:
A list of more technical issues regarding the upgrade from Sarge to Etch is available at Sarge2EtchUpgrade. Una lista de asuntos más técnicos sobre la migración de Sarge para Etch está disponible en Sarge2EtchUpgrade.
La página de [[http://www.debian.org/devel/debian-installer/errata|Errata]] para el [[http://www.debian.org/devel/debian-installer/|instalador]] puede ser de interés para aquellos que han instalado Sarge y ahora quiere instalar Etch.
Line 8: Line 17:
== internal changes == == Nuevas características ==
Line 10: Line 19:
What changed between the release of Sarge and the upcoming release of Etch, which might be interesting for users, even if it didn't effect them directly.

 * New python policy
   * Python 2.4
 * mirror split
 * AMD64 arch
 * LSB 3.1
 * ..
 * internal development:
  * linux-2.6 common package builds linux-images
    * kernel-image-* has been renamed to linux-image-*
    * smp alternatives: for amd64 and i386 the SMP support is found on runtime
    * new initramfs-tools early userspace (works with SATA, USB, RAID, LVM NFS, cryptoroot, ..) much more flexible
    * 2.4 kernels are only supported for upgrade from sarge. Users should install a 2.6 kernel after (or before) the upgrade.
  * GCC 4.1 as default compiler
  * libc 2.3.6
    * support for 2.2 kernels has been dropped (except for m68k). libc will refuse to be installed on 2.2 kernels, the solution is to install a 2.4 (or a 2.6) kernel before the upgrade.
 * apt:
   * SecureApt ({{{apt-key}}}, {{{gui-apt-key}}}, {{{debian-archive-keyring}}})
   * {{{apt-get update -o Acquire::PDiffs=false}}}
   * {{{apt.conf.d}}} y {{{sources.list.d}}}
   * {{{-t release}}} trabaja sobre todas las acciones e.g. {{{source}}} y {{{build-dep}}}
 * instalador:
   * Integración de la funcionalidad de{{{base-config}}} dentro del instalador
   * Instalador Gráfico
     * soporta scripts con caracteres compuestos (algunas veces llamado ''lenguaje complejo''): Indic, Tibetan, Khmer, Thai
   * particiones encriptadas
 * mejoras en el "ambiente de escritorio por defecto"
   * notificación de actualización (usando {{{update-notifier}}})
   * instalación local de deb (usando {{{gdebi}}})
   * soporte de impresión
   * soporte de scanner
   * mejor trabajo artístico
   * mensajería instantánea (usando {{{gaim}}})
   * administración de particiones (usando {{{gparted}}})
   * ... y más.
 * Ambiente UTF-8 por defecto para nuevas instalaciones.
 * [[udev]] por defecto en nuevas instalaciones
 * DebTags en los ficheros de paquetes; {{{debtags smartsearch}}}
 * {{{pcmciautils}}} remmplaza {{{pcmcia-cs}}}
 * Ruby``Gems, un paquete de administración de la plataforma o marco de trabajo
 * ...
Line 29: Line 46:
== New Features == == Nuevos paquetes introducidos ==
Line 31: Line 48:
 * apt-key and all that
 * apt-get update -o Acquire::PDiffs=false
 * ddtp (translated package descriptions) out of the box?
 * installer:
  * graphical installer
    * new languages through bidi support
  * encrypted partitions
 * "default desktop environment" improvements
   * update notification (using update-notifier)
   * local deb install (using gdebi)
   * printing support
   * scanner support (post beta-3 stuff)
   * better artwork (being discussed now)
   * instant messaging (using gaim)
   * partition management (using gparted) and more.
 * UTF-8 environment by default on new installs
 * udev by default on new installs
 * debtags
 * ...
 
(Sólo los más importantes.)
Line 52: Line 50:
== New introduced Packages ==  * [[http://wiki.ltsp.org/twiki/bin/view/Ltsp/Ltsp5|Proyecto del Servidor de Terminal Linux]] (LTSP) (ltsp-servidor puede ser usado para construir un ambiente LTSP fuera de los paquetes debian, más que instalar binarios LTSP extraños)
 * Nexuiz ;)
 * [[Xen]] y [[LinuxVserver|vserver]] variantes del Kernel (no más remiendos)
 * Eclipse en sección main
 * Tomcat 5 en main (no más en contrib)
 * [[Mono]] (1.2.2.1)
 * Distribución TeX Live (+350MB, yay)
 * SER (SIP Express Router) y OpenSER, para arquitecturas VoIP avanzadas
 * [[Compiz]]
 * Fuentes SIL p.e. Gentium, en la sección main
 * p7zip, p7zip-full
 * Fabricantes proveen de ficheros PPD para impresoras PostScript: {{{linuxprinting.org-ppds}}}, {{{hp-ppd}}}
 * {{{erlang}}} (El lenguaje de programación Ericsson) provee de {{{ejabberd}}} (el más característico servidor Jabber/XMMP de código libre), {{{yaws}}} (un servidor web de alto rendimiento), {{{wings3d}}} (un modelador de polígonos de maya) y manderlbot (un IRC bot)
 * Sun Java 5.0 - {{{sun-java5-bin}}}, {{{sun-java5-demo}}}, {{{sun-java5-doc}}}, {{{sun-java5-fonts}}}, {{{sun-java5-jdk}}}, {{{sun-java5-jre}}}, {{{sun-java5-plugin}}}, {{{sun-java5-source}}} (''non-free'')
 * OpenSync (actualización de Multisync) con paquetes {{{multisync0.90}}} y {{{multisync-tools}}} y asociados con la biblioteca OpenSync, utilitarios y plugins o extensiones.
Line 54: Line 66:
(Just the most important ones.) == Paquetes actualizados ==
Line 56: Line 68:
 * Linux Terminal Server Project (LTSP)
 * Nexuiz ;)
 * xen and vserver kernel variants (no more patching)
 * Eclipse and Tomcat 5 in main (no more in contrib)
 * Mono
 * TeX Live distribution (+350MB, yay)
 * SER (SIP Express Router) and OpenSER, for advanced VoIP architectures
(Sólo los más importantes.)
Line 64: Line 70:
== Updated Packages == Nota: Una buena vía para obtener información es buscando en Distrowatch:
http://distrowatch.com/table.php?distribution=debian (Sin embargo puede ser que no esté totalmente actualizado)
Line 66: Line 73:
(Just the most important ones.) === Escritorio ===
Line 68: Line 75:
=== Desktop ===  * !OpenOffice.org 2.0.4
  * nota bene: paquetes fragmentados; ud. no tiene que instalar todo si lo que necesita es sólo !OpenOffice.org writer
 * KDE 3.5.5a
 * GNOME 2.14 (con cerezas de 2.16)
 * Xfce 4.4
 * X.org 7.1
  * nota bene: trae no sólo nuevos controladores sino que también paquetes modularizados (con esto no se necesitan grandes decargas para los arreglos de seguridad)
  * Incluye AIGLX, permitiendo composiciones aceleradas usadas por {{{compiz}}}
 * Firefox 2.0.0.3
 * Thunderbird 1.5
   * nota bene: Debido a asuntos de licencias ni Firefox ni Thunderbird vienen en la distribución con esos nombres - ver 'Paquetes renombrados y reemplazados'
 * Beagle
 * Banshee
 * F-Spot
Line 70: Line 90:
 * OpenOffice.org 2.0.3
  * nota bene: splitted packages; you don't need to install everything, if you just need OpenOffice.org writer
 * KDE 3.5.4
 * GNOME 2.14.2.1
 * Xfce 4.4
 * X.org 7.x
  * nota bene: Brings not only new drivers, but also modularized packages (and with that no mega downloads when a
 * Firefox 1.5 (probably 2.0)
 * Thunderbird 1.5
   * nota bene: Due to tradmark issues, neither firefox nor thunderbird are no longer shipped in "mozilla-foo" packages
=== Servidor ===
Line 81: Line 92:
=== Server ===  * Apache 2.2
 * Asterisk 1.2
 * MySQL 5.0.32
 * OTRS 2.0.4 (en el paquete otrs2)
 * PHP 5.2.0
 * Postfix 2.3.6
 * PostgreSQL 8.1 incluyendo Slony y PostGIS
 * XSP / mod_mono 1.2.2
Line 83: Line 101:
 * PHP 5.1.4
 * MySQL 5.0.24
 * Asterisk 1.2
=== Sistema ===
Line 87: Line 103:
=== System ===  * Linux Kernel 2.6.18
   * i386 y amd64 con soporte smp en ejecución
   * i386 imagen bigmem para más de 64 GB de memoria
 * GCC 4.1 como compilador por defecto
 * libc 2.3.6
   * se ha quitado soporte para kernels 2.2. {{{libc}}} rechaza ser instalada en kernerls 2.2 , la solución es instalar kernel 2.4 (o un 2.6) antes de migrar.
 * udev 105 (/dev/ y demonio de administración hotplug reemplaza los viejos scripts hotplug)
 * initramfs-tools al inciarse el espacio de usuario (trabaja con SATA, USB, RAID, LVM NFS, cryptoroot, ..)
 * mdadm 2.5.x: ahora requiere un fichero {{{mdadm.conf}}} .
 * NFSv4 : soporte (opcionalmente con Kerberos) para ambos, cliente y servidor
Line 89: Line 114:
 * Linux Kernel 2.6.18 (?)
 * mdadm 2.5.x: now requires an mdadm.conf file.
== cambios internos ==

Qué cambió entre la liberación de Sarge y la reciente liberación de Etch, lo cuál puede ser interesante para los usuarios, incluso si no los afecta directamente.

 * Nueva política de python (Vea DebianPython/NewPolicy)
   * Python 2.4
 * Nueva política para aplicaciones web
 * Nueva política para los paquetes Java
 * Nueva política para empaquetamientod de Mono, otros aplicaiones basadas en CLRs y CLI y bibliotecas
 * Nueva política para diccionarios y lo que tiene que ver con ellos
 * Actualizado en menú de políticas
 * fragmentamiento de espejo
 * Arquitectura AMD64 (ver [[DebianAMD64]])
 * LSB 3.1 (ver DebianLsb)
 * FHS: Documentación debajo de /usr/share/doc (no más en /usr/doc)
 * linux-2.6 paquetes comunes construidos de imágenes de linux
   * conglomerado de paquetes para los módulos oot más comunes están en su lugar: los usuarios no requieren más de construirlos cuando usan imágenes del kernel de Debian.
 * Muchos paquetes con ficheros de escritorio
 * Mejor soporte para DRI
 * Marco común para la configuración de bases de datos con la instalación del paquete ({{{dbconfig-common}}}).
   Esto le da al administrador una interface consistente para configurar paquetes con necesidad de acceder a bases de datos para poder funcionar.
 * [[http://lists.debian.org/debian-devel-announce/2006/12/msg00006.html|muchos más juegos de cd]] disponibles para descargar
Line 93: Line 138:
== removed packages ==
 * Mozilla (perhaps seamonkey as replacement)
 * cdrtools (cdrecord et.al); replaced by cdrkit
(Might be mostly interesting for the release-notes? Some way to autogenerate such a list? ask tbm?)

== Paquetes quitados ==
 * Kernerls 2.4 kernels se soportan sólo para migrar desde Sarge. Los usuarios deben instalar kernel 2.6 después(o antes) de migrar(ver por favor las [[http://www.debian.org/releases/etch/releasenotes|notas de liberación]] sobre esto).
 * {{{xfonts-base-transcoded}}} (Etch es la primera liberación UTF-8 completa, por lo tanto no hay más versión de xfonts-base con legado de codificaciones)
 * Mozilla, Firefox y Thunderbird ({{{iceape}}}, {{{xulrunner}}}, {{{iceweasel}}} y {{{icedove}}} como sus reemplazos ; ver debajo)
 * {{{webmin}}} y {{{usermin}}} (ver fallo [[http://bugs.debian.org/343897|343897]])
 * {{{eGroupWare}}} ([[http://www.mail-archive.com/debian-release@lists.debian.org/msg15266.html|ver esta discusión]])
 * {{{ladspa-plugins}}} (contenido mezclado en {{{ladspa-plugin}}})
 * {{{latex-xft-fonts}}} (ver fallo [[http://bugs.debian.org/402148|402148]])
 * {{{libc5}}} ([[http://lists.debian.org/debian-devel/2005/09/msg00156.html|ver hilo]])

== Paquetes renombrados y reemplazados ==

 * {{{kernel-image-*}}} paquete renombrado a {{{linux-image-*}}}
 * {{{mozilla-firefox*}}} paquete renombrado a {{{iceweasel*}}}
 * {{{mozilla-firefox-locale-*}}} paquete renombrado a {{{iceweasel-l10n-*}}}
 * {{{mozilla-thunderbird*}}} paquete renombrado a {{{icedove*}}}
 * {{{mozilla}}} renombrado a seamonkey y luego renombrado a {{{iceape}}}
 * {{{ethereal}}} renombrado {{{wireshark}}}
 * cdrtools (cdrecord et.al) reemplazado por cdrkit
   * {{{cdrecord}}} reemplazado por {{{wodim}}}
   * {{{cdrtools-doc}}} reemplazado por {{{cdrkit-doc}}}
   * {{{cdda2wav}}} reemplazado por {{{icedax}}}
   * {{{mkisofs}}} reemplazado por {{{genisoimage}}}

 * gimpprint renombrado gutenprint
  * {{{cupsys-driver-gimpprint}}} renombrado a {{{cupsys-driver-gutenprint}}}
  * {{{gimpprint-doc}}} renombrado a {{{gutenprint-doc}}}
  * {{{gimpprint-locales}}} renombrado a {{{gutenprint-locales}}}

 * {{{xserver-xfree86}}} reemplazado por {{{xserver-xorg}}} (aún existe una maqueta)

== Paquetes fragmentados ==

 * {{{openoffice.org-gtk}}} se convirtió en {{{openoffice.org-gnome}}} y {{{openoffice.org-gtk}}}
 * {{{ssh}}} se convirtió en {{{openssh-client}}} y {{{openssh-server}}}

Translation : Deutsch - English - Español - Русский (Russkij)

Traducciones

Nuevas características y otros aspectos de Debian GNU/Linux 4.0 "Etch"

Una lista de asuntos más técnicos sobre la migración de Sarge para Etch está disponible en Sarge2EtchUpgrade. La página de Errata para el instalador puede ser de interés para aquellos que han instalado Sarge y ahora quiere instalar Etch.

Nuevas características

  • apt:
    • SecureApt (apt-key, gui-apt-key, debian-archive-keyring)

    • apt-get update -o Acquire::PDiffs=false

    • apt.conf.d y sources.list.d

    • -t release trabaja sobre todas las acciones e.g. source y build-dep

  • instalador:
    • Integración de la funcionalidad debase-config dentro del instalador

    • Instalador Gráfico
      • soporta scripts con caracteres compuestos (algunas veces llamado lenguaje complejo): Indic, Tibetan, Khmer, Thai

    • particiones encriptadas
  • mejoras en el "ambiente de escritorio por defecto"
    • notificación de actualización (usando update-notifier)

    • instalación local de deb (usando gdebi)

    • soporte de impresión
    • soporte de scanner
    • mejor trabajo artístico
    • mensajería instantánea (usando gaim)

    • administración de particiones (usando gparted)

    • ... y más.
  • Ambiente UTF-8 por defecto para nuevas instalaciones.
  • udev por defecto en nuevas instalaciones

  • ?DebTags en los ficheros de paquetes; debtags smartsearch

  • pcmciautils remmplaza pcmcia-cs

  • RubyGems, un paquete de administración de la plataforma o marco de trabajo

  • ...

Nuevos paquetes introducidos

(Sólo los más importantes.)

  • Proyecto del Servidor de Terminal Linux (LTSP) (ltsp-servidor puede ser usado para construir un ambiente LTSP fuera de los paquetes debian, más que instalar binarios LTSP extraños)

  • Nexuiz ;)

  • Xen y ?vserver variantes del Kernel (no más remiendos)

  • Eclipse en sección main
  • Tomcat 5 en main (no más en contrib)
  • Mono (1.2.2.1)

  • Distribución TeX Live (+350MB, yay)
  • SER (SIP Express Router) y OpenSER, para arquitecturas VoIP avanzadas
  • Compiz

  • Fuentes SIL p.e. Gentium, en la sección main
  • p7zip, p7zip-full
  • Fabricantes proveen de ficheros PPD para impresoras ?PostScript: linuxprinting.org-ppds, hp-ppd

  • erlang (El lenguaje de programación Ericsson) provee de ejabberd (el más característico servidor Jabber/XMMP de código libre), yaws (un servidor web de alto rendimiento), wings3d (un modelador de polígonos de maya) y manderlbot (un IRC bot)

  • Sun Java 5.0 - sun-java5-bin, sun-java5-demo, sun-java5-doc, sun-java5-fonts, sun-java5-jdk, sun-java5-jre, sun-java5-plugin, sun-java5-source (non-free)

  • ?OpenSync (actualización de Multisync) con paquetes multisync0.90 y multisync-tools y asociados con la biblioteca ?OpenSync, utilitarios y plugins o extensiones.

Paquetes actualizados

(Sólo los más importantes.)

Nota: Una buena vía para obtener información es buscando en Distrowatch: http://distrowatch.com/table.php?distribution=debian (Sin embargo puede ser que no esté totalmente actualizado)

Escritorio

  • OpenOffice.org 2.0.4

    • nota bene: paquetes fragmentados; ud. no tiene que instalar todo si lo que necesita es sólo OpenOffice.org writer

  • KDE 3.5.5a
  • GNOME 2.14 (con cerezas de 2.16)
  • Xfce 4.4
  • X.org 7.1
    • nota bene: trae no sólo nuevos controladores sino que también paquetes modularizados (con esto no se necesitan grandes decargas para los arreglos de seguridad)
    • Incluye AIGLX, permitiendo composiciones aceleradas usadas por compiz

  • Firefox 2.0.0.3
  • Thunderbird 1.5
    • nota bene: Debido a asuntos de licencias ni Firefox ni Thunderbird vienen en la distribución con esos nombres - ver 'Paquetes renombrados y reemplazados'
  • Beagle
  • Banshee
  • F-Spot

Servidor

  • Apache 2.2
  • Asterisk 1.2
  • MySQL 5.0.32
  • OTRS 2.0.4 (en el paquete otrs2)
  • PHP 5.2.0
  • Postfix 2.3.6
  • PostgreSQL 8.1 incluyendo Slony y PostGIS
  • XSP / mod_mono 1.2.2

Sistema

  • Linux Kernel 2.6.18
    • i386 y amd64 con soporte smp en ejecución
    • i386 imagen bigmem para más de 64 GB de memoria
  • GCC 4.1 como compilador por defecto
  • libc 2.3.6
    • se ha quitado soporte para kernels 2.2. libc rechaza ser instalada en kernerls 2.2 , la solución es instalar kernel 2.4 (o un 2.6) antes de migrar.

  • udev 105 (/dev/ y demonio de administración hotplug reemplaza los viejos scripts hotplug)
  • initramfs-tools al inciarse el espacio de usuario (trabaja con SATA, USB, RAID, LVM NFS, cryptoroot, ..)
  • mdadm 2.5.x: ahora requiere un fichero mdadm.conf .

  • NFSv4 : soporte (opcionalmente con Kerberos) para ambos, cliente y servidor

cambios internos

Qué cambió entre la liberación de Sarge y la reciente liberación de Etch, lo cuál puede ser interesante para los usuarios, incluso si no los afecta directamente.

  • Nueva política de python (Vea DebianPython/NewPolicy)

    • Python 2.4
  • Nueva política para aplicaciones web
  • Nueva política para los paquetes Java
  • Nueva política para empaquetamientod de Mono, otros aplicaiones basadas en CLRs y CLI y bibliotecas
  • Nueva política para diccionarios y lo que tiene que ver con ellos
  • Actualizado en menú de políticas
  • fragmentamiento de espejo
  • Arquitectura AMD64 (ver DebianAMD64)

  • LSB 3.1 (ver DebianLsb)

  • FHS: Documentación debajo de /usr/share/doc (no más en /usr/doc)
  • linux-2.6 paquetes comunes construidos de imágenes de linux
    • conglomerado de paquetes para los módulos oot más comunes están en su lugar: los usuarios no requieren más de construirlos cuando usan imágenes del kernel de Debian.
  • Muchos paquetes con ficheros de escritorio
  • Mejor soporte para DRI
  • Marco común para la configuración de bases de datos con la instalación del paquete (dbconfig-common).

    • Esto le da al administrador una interface consistente para configurar paquetes con necesidad de acceder a bases de datos para poder funcionar.
  • muchos más juegos de cd disponibles para descargar

Paquetes quitados

  • Kernerls 2.4 kernels se soportan sólo para migrar desde Sarge. Los usuarios deben instalar kernel 2.6 después(o antes) de migrar(ver por favor las notas de liberación sobre esto).

  • xfonts-base-transcoded (Etch es la primera liberación UTF-8 completa, por lo tanto no hay más versión de xfonts-base con legado de codificaciones)

  • Mozilla, Firefox y Thunderbird (iceape, xulrunner, iceweasel y icedove como sus reemplazos ; ver debajo)

  • webmin y usermin (ver fallo 343897)

  • eGroupWare (ver esta discusión)

  • ladspa-plugins (contenido mezclado en ladspa-plugin)

  • latex-xft-fonts (ver fallo 402148)

  • libc5 (ver hilo)

Paquetes renombrados y reemplazados

  • kernel-image-* paquete renombrado a linux-image-*

  • mozilla-firefox* paquete renombrado a iceweasel*

  • mozilla-firefox-locale-* paquete renombrado a iceweasel-l10n-*

  • mozilla-thunderbird* paquete renombrado a icedove*

  • mozilla renombrado a seamonkey y luego renombrado a iceape

  • ethereal renombrado wireshark

  • cdrtools (cdrecord et.al) reemplazado por cdrkit
    • cdrecord reemplazado por wodim

    • cdrtools-doc reemplazado por cdrkit-doc

    • cdda2wav reemplazado por icedax

    • mkisofs reemplazado por genisoimage

  • gimpprint renombrado gutenprint
    • cupsys-driver-gimpprint renombrado a cupsys-driver-gutenprint

    • gimpprint-doc renombrado a gutenprint-doc

    • gimpprint-locales renombrado a gutenprint-locales

  • xserver-xfree86 reemplazado por xserver-xorg (aún existe una maqueta)

Paquetes fragmentados

  • openoffice.org-gtk se convirtió en openoffice.org-gnome y openoffice.org-gtk

  • ssh se convirtió en openssh-client y openssh-server